using System.Collections;
using System.Collections.Generic;
using System.Runtime.CompilerServices;
using UnityEngine;

public class SpawnTileScript : MonoBehaviour
{
    [SerializeField]
    private List<GameObject> _Tiles = new List<GameObject>();
    [SerializeField]
    private GameObject _CurrentTile;

    private bool _Instantiated = false;

    private void Start()
    {
        
    }

    private void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.tag == "Player")
        {
            if (_Instantiated)
            {
                GenerateTile(_Tiles[0]);
            }
        }
    }

    private void GenerateTile(GameObject tile)
    {
        Instantiate(tile, new Vector3(_CurrentTile.transform.position.x, _CurrentTile.transform.position.y, _CurrentTile.transform.position.z+20), _CurrentTile.transform.rotation);
    }
}
